org.apache.felix.ipojo.manipulator.spi

## Class AbsBindingModule.ConditionalBindingBuilder

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.AbsBindingModule.ConditionalBindingBuilder

Enclosing class:
  AbsBindingModule

    public class AbsBindingModule.ConditionalBindingBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConditionalBindingBuilder(AbsBindingModule.AnnotationBindingBuilder parent, Predicate predicate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbsBindingModule.AnnotationBindingBuilder` `to(AnnotationVisitorFactory factory)` Complete the annotation binding with the `AnnotationVisitorFactory` to be executed when the annotation is found.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConditionalBindingBuilder

    public ConditionalBindingBuilder(AbsBindingModule.AnnotationBindingBuilder parent,
                                     Predicate predicate)

### Method Detail

#### to

    public AbsBindingModule.AnnotationBindingBuilder to(AnnotationVisitorFactory factory)

Complete the annotation binding with the `AnnotationVisitorFactory` to be executed when the annotation is found.

Parameters:
  `factory` - to be executed when the annotation is found.